Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.infinispan.schematic
Enum SchemaLibrary.ProblemType

    java.lang.Object
      java.lang.Enum<SchemaLibrary.ProblemType>
          org.infinispan.schematic.SchemaLibrary.ProblemType

All Implemented Interfaces:
  Serializable, Comparable<SchemaLibrary.ProblemType>

Enclosing interface:
  SchemaLibrary

    public static enum SchemaLibrary.ProblemType

extends Enum<SchemaLibrary.ProblemType>

Enum Constant Summary
`ERROR` The problem type signaling a validation error.
`WARNING` The problem type signaling a validation warning.

Method Summary
`static SchemaLibrary.ProblemType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SchemaLibrary.ProblemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final SchemaLibrary.ProblemType ERROR

  The problem type signaling a validation error.

### WARNING

    public static final SchemaLibrary.ProblemType WARNING

  The problem type signaling a validation warning.

Method Detail

### values

    public static SchemaLibrary.ProblemType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SchemaLibrary.ProblemType c : SchemaLibrary.ProblemType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SchemaLibrary.ProblemType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.